require 'rails_helper'

RSpec.feature "Contests", type: :feature do
  context "visiting the home page" do
    let!(:user) { create(:user) }

    before do
      visit '/'
      fill_in "Email address", with: user.email_address
      fill_in "Password", with: user.password
      click_button "Sign in"
    end

    it "should display the username" do
      visit root_path

      expect(page).to have_content(user.username)
    end
  end
end
